local _, iTF = ...

iTF.rangeSpells = {
	--Death Knight
	[250] = 49576,	--Blood, Death Grip (30yd)
	[251] = 49576,	--Frost, Death Grip (30yd)
	[252] = 49576,	--Unholy, Death Grip (30yd)

	--Demon Hunter
	[577] = 185123,	--Havoc, Throw Glaive (30yd)
	[581] = 185245,	--Vengeance, Torment (30yd)

	--Druid
	[102] = 190984,	--Balance, Solar Wrath (45yd)
	[103] = 8921,	--Feral, Moonfire (40yd)
	[104] = 6795,	--Guardian, Growl (30yd)
	[105] = 5176,	--Restoration, Solar Wrath (40yd)

	--Hunter
	[253] = 193455,	--Beastmastery, Cobra Shot (40yd)
	[254] = 185901,	--Marksmanship, Marked Shot (40yd+)
	[255] = {['min'] = 185855, ['max'] = 190925}, --Survival, Lacerate (<5yd), Harpoon (40yd)

	--Mage
	[62] = 30451,	--Arcane, Arcane Blast (40yd)
	[63] = 133,		--Fire, Fireball (40yd)
	[64] = 116,		--Frost, Frostbolt (40yd)

	--Monk
	[268] = 115546,	--Brewmaster, Provoke (30yd)
	[269] = 115546,	--Windwalker, Provoke (30yd)
	[270] = 115546,	--Mistviewer, Provoke (30yd)

	--Paladin
	[65] = 62124,	--Holy, Hand of Reckoning (30yd)
	[66] = 62124,	--Protection, Hand of Reckoning (30yd)
	[70] = 62124,	--Retribution, Hand of Reckoning (30yd)

	--Priest
	[256] = 585,	--Discipline, Smite (40yd)
	[257] = 585,	--Holy, Smite (40yd)
	[258] = 589,	--Shadow, Shadow Word: Pain (40yd)

	--Rogue
	[259] = 36554,	--Assassination, Shadowstep (25yd)
	[260] = 185763,	--Outlaw, Pistol Shot (20yd)
	[261] = 36554,	--Sublety, Shadowstep (25yd)

	--Shaman
	[262] = 188196, --Elemental, Lightning Bolt (40yd)
	[263] = 187837, --Enhancement, Lightning Bolt (40yd)
	[264] = 188838, --Restoration, Flame Shock (40yd)

	--Warlock
	[265] = 172,	--Affliction, Corruption (40yd)
	[266] = 686,	--Demonology, Shadow Bolt (40yd)
	[267] = 29722,	--Descrution, Incinerate (40yd)

	--Warrior
	[71] = 355,		--Arms, Taunt (30yd)
	[72] = 355,		--Fury, Taunt (30yd)
	[73] = 355,		--Protection, Taunt (30yd)

}
do
	local temp = {}
	for k,v in pairs(iTF.rangeSpells) do
		if type(v) == 'table' then
			temp[k] = {}
			for dK,dV in pairs(v) do
				temp[k][dK] = GetSpellInfo(dV)
			end
		else
			temp[k] = GetSpellInfo(v)
		end
	end
	iTF.rangeSpells = temp
end